# PSF-LoginServer - master - net.psforever.types.ValidPlanetSideGUID
PSF - LoginServer - master - net.psforever.types.ValidPlanetSideGUID
Keywords: PSF LoginServer master net.psforever.types.ValidPlanetSideGUID

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

c

net.psforever.types

# ValidPlanetSideGUID

###

#### final case class ValidPlanetSideGUID(guid: Int) extends PlanetSideGUID with Product with Serializable

Source
  PlanetSideGUID.scala

Linear Supertypes
Serializable, Product, Equals, PlanetSideGUID, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValidPlanetSideGUID
2. Serializable
3. Product
4. Equals
5. PlanetSideGUID
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ValidPlanetSideGUID(guid: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def canEqual(o: Any): Boolean

   All subclasses of `PlanetSideGUID` are equivalent through being subclasses of `PlanetSideGUID`.

   All subclasses of `PlanetSideGUID` are equivalent through being subclasses of `PlanetSideGUID`.

   o

     an entity

   returns

     whether that entity is a `PlanetSideGUID` object

   Definition Classes
     PlanetSideGUID
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(o: Any): Boolean
   Definition Classes
     PlanetSideGUID → AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  val guid: Int
    Definition Classes
      ValidPlanetSideGUID → PlanetSideGUID
12.  def hashCode(): Int
    Definition Classes
      PlanetSideGUID → AnyRef → Any
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideGUID

### Inherited from AnyRef

### Inherited from Any

### Ungrouped